Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 508322 - <app-emulation/emul-linux-x86-baselibs-20140406-r1: contains vulnerable openssl
Summary: <app-emulation/emul-linux-x86-baselibs-20140406-r1: contains vulnerable openssl
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks: 483632
  Show dependency tree
 
Reported: 2014-04-21 14:23 UTC by Michał Górny
Modified: 2014-12-12 01:09 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-04-21 14:23:08 UTC
As summary states, our stable emul-linux-x86-baselibs contain vulnerable openssl. I'm not sure if we should go into stabilizing 20140406-r1 that early. Alternatively, I think we could do a revbump of previous version with just openssl replaced (I think that SONAME didn't change).
Comment 1 Pacho Ramos gentoo-dev 2014-04-22 20:29:45 UTC
I would stabilize latest version for sure (they work fine for me, not sure if one more test would be required)
Comment 2 Pacho Ramos gentoo-dev 2014-05-02 16:29:03 UTC
(In reply to Pacho Ramos from comment #1)
> I would stabilize latest version for sure (they work fine for me, not sure
> if one more test would be required)

CCing team then:
app-emulation/emul-linux-x86-baselibs-20140406-r1
app-emulation/emul-linux-x86-compat-20140406
app-emulation/emul-linux-x86-cpplibs-20140406
app-emulation/emul-linux-x86-db-20140406
app-emulation/emul-linux-x86-gstplugins-20140406
app-emulation/emul-linux-x86-gtklibs-20140406
app-emulation/emul-linux-x86-gtkmmlibs-20140406
app-emulation/emul-linux-x86-jna-20140406
app-emulation/emul-linux-x86-medialibs-20140406
app-emulation/emul-linux-x86-motif-20140406
app-emulation/emul-linux-x86-opengl-20140406
app-emulation/emul-linux-x86-qtlibs-20140406
app-emulation/emul-linux-x86-sdl-20140406
app-emulation/emul-linux-x86-soundlibs-20140406
app-emulation/emul-linux-x86-xlibs-20140406
Comment 3 Pacho Ramos gentoo-dev 2014-05-04 12:23:47 UTC
amd64 stable
Comment 4 Sean Amoss gentoo-dev Security 2014-11-25 21:52:07 UTC
Added to existing GLSA request.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2014-12-12 01:09:19 UTC
This issue was resolved and addressed in
 GLSA 201412-11 at http://security.gentoo.org/glsa/glsa-201412-11.xml
by GLSA coordinator Sean Amoss (ackle).